#include <gmp.h>

#define C1      "-214772995063512240"
#define C2      "-96049403338648032"
#define C3      "10985234579463550323713318473"
#define C4      "4912746253692362754607395912"

int main()
{
    mpf_t buf;		//buffer
    mpf_t sqrt_5;	//5^(1/2)

    mpf_init(buf);
    mpf_init_set_si(sqrt_5, 5);

    mpf_sqrt(sqrt_5, sqrt_5);

    mpf_t c3;		//c^3
    mpf_t c32;		//c^(3/2)

    mpf_init(c3);
    mpf_init(c32);

    mpf_set_str(c3, C4, 10);
    mpf_mul(c3, c3, sqrt_5);
    mpf_set_str(buf, C3, 10);
    mpf_add(c3, c3, buf);
    mpf_sqrt(c3, c3);
    mpf_mul(c3, c3, sqrt_5);
    mpf_set_si(buf, -1296);
    mpf_mul(c3, c3, buf);
    mpf_set_str(buf, C2, 10);
    mpf_mul(buf, buf, sqrt_5);
    mpf_add(c3, c3, buf);
    mpf_set_str(buf, C1, 10);
    mpf_add(c3, c3, buf);

    mpf_pow_ui(c3, c3, 3);
    mpf_sqrt(c32, c3);

    //The constants c3 and c32 are calculated

    mpf_clear(buf);
    mpf_clear(sqrt_5);
    mpf_clear(c3);
    mpf_clear(c32);

    return 0;
}
